GDCM: gdcm::Trace Class Reference

GDCM 3.2.11

Public Member Functions | Static Public Member Functions | List of all members
gdcm::Trace Class Reference

Trace. More...

`#include <gdcmTrace.h>`

## Public Member Functions
| Trace ()
| ~Trace ()

## Static Public Member Functions
static void | DebugOff ()
static void | DebugOn ()
static void | ErrorOff ()
static void | ErrorOn ()
static bool | GetDebugFlag ()
static std::ostream & | GetDebugStream ()
static bool | GetErrorFlag ()
static std::ostream & | GetErrorStream ()
static std::ostream & | GetStream ()
static bool | GetWarningFlag ()
static std::ostream & | GetWarningStream ()
static void | SetDebug (bool debug)
| Turn debug messages on (default: false).
static void | SetDebugStream (std::ostream &os)
| Explicitly set the stream which receive Debug messages:
static void | SetError (bool debug)
| Turn error messages on (default: true).
static void | SetErrorStream (std::ostream &os)
| Explicitly set the stream which receive Error messages:
static void | SetStream (std::ostream &os)
static void | SetStreamToFile (const char *filename)
static void | SetWarning (bool debug)
| Turn warning messages on (default: true).
static void | SetWarningStream (std::ostream &os)
| Explicitly set the stream which receive Warning messages:
static void | WarningOff ()
static void | WarningOn ()

## Detailed Description

Trace.

Debug / Warning and Error are encapsulated in this class by default the Trace class will redirect any debug/warning/error to std::cerr. Unless SetStream was specified with another (open) stream or SetStreamToFile was specified to a writable file on the system.

Warning
  All string messages are removed during compilation time when compiled with CMAKE_BUILD_TYPE being set to either:
  - Release
  - MinSizeRel It is recommended to compile with RelWithDebInfo and/or Debug during prototyping of applications.

Examples
  DecompressJPEGFile.cs.

## Constructor & Destructor Documentation

## ◆ Trace()

gdcm::Trace::Trace | ( |  | ) |

## ◆ ~Trace()

gdcm::Trace::~Trace | ( |  | ) |

## Member Function Documentation

## ◆ DebugOff()

void gdcm::Trace::DebugOff | ( |  | ) |
| static

Examples
  MetaImageMD5Activiz.cs, and TestReader.cxx.

## ◆ DebugOn()

void gdcm::Trace::DebugOn | ( |  | ) |
| static

Examples
  CreateFakePET.cxx, DecompressJPEGFile.cs, Fake_Image_Using_Stream_Image_Writer.cxx, and StreamImageReaderTest.cxx.

## ◆ ErrorOff()

void gdcm::Trace::ErrorOff | ( |  | ) |
| static

Examples
  MetaImageMD5Activiz.cs.

## ◆ ErrorOn()

void gdcm::Trace::ErrorOn | ( |  | ) |
| static

## ◆ GetDebugFlag()

bool gdcm::Trace::GetDebugFlag | ( |  | ) |
| static

## ◆ GetDebugStream()

std::ostream & gdcm::Trace::GetDebugStream | ( |  | ) |
| static

## ◆ GetErrorFlag()

bool gdcm::Trace::GetErrorFlag | ( |  | ) |
| static

## ◆ GetErrorStream()

std::ostream & gdcm::Trace::GetErrorStream | ( |  | ) |
| static

## ◆ GetStream()

std::ostream & gdcm::Trace::GetStream | ( |  | ) |
| static

## ◆ GetWarningFlag()

bool gdcm::Trace::GetWarningFlag | ( |  | ) |
| static

## ◆ GetWarningStream()

std::ostream & gdcm::Trace::GetWarningStream | ( |  | ) |
| static

## ◆ SetDebug()

void gdcm::Trace::SetDebug | ( | bool | debug | ) |
| static

Turn debug messages on (default: false).

Examples
  DumpToSQLITE3.cxx.

## ◆ SetDebugStream()

void gdcm::Trace::SetDebugStream | ( | std::ostream & | os | ) |
| static

Explicitly set the stream which receive Debug messages:

## ◆ SetError()

void gdcm::Trace::SetError | ( | bool | debug | ) |
| static

Turn error messages on (default: true).

## ◆ SetErrorStream()

void gdcm::Trace::SetErrorStream | ( | std::ostream & | os | ) |
| static

Explicitly set the stream which receive Error messages:

Examples
  CStoreQtProgress.cxx.

## ◆ SetStream()

void gdcm::Trace::SetStream | ( | std::ostream & | os | ) |
| static

Explicitly set the ostream for gdcm::Trace to report to This will set the DebugStream, WarningStream and ErrorStream at once:

## ◆ SetStreamToFile()

void gdcm::Trace::SetStreamToFile | ( | const char * | filename | ) |
| static

Explicitly set the filename for gdcm::Trace to report to The file will be created (it will not append to existing file)

## ◆ SetWarning()

void gdcm::Trace::SetWarning | ( | bool | debug | ) |
| static

Turn warning messages on (default: true).

Examples
  DumpToSQLITE3.cxx.

## ◆ SetWarningStream()

void gdcm::Trace::SetWarningStream | ( | std::ostream & | os | ) |
| static

Explicitly set the stream which receive Warning messages:

## ◆ WarningOff()

void gdcm::Trace::WarningOff | ( |  | ) |
| static

Examples
  MetaImageMD5Activiz.cs, and TestReader.cxx.

## ◆ WarningOn()

void gdcm::Trace::WarningOn | ( |  | ) |
| static

Examples
  Fake_Image_Using_Stream_Image_Writer.cxx, and StreamImageReaderTest.cxx.

The documentation for this class was generated from the following file:

- gdcmTrace.h